package net.pokeranalytics.android.model.migrations

import io.realm.Realm
import net.pokeranalytics.android.model.realm.SessionSet

class Patcher {

	companion object {

		fun patchBreaks() {

			val realm = Realm.getDefaultInstance()
			val sets = realm.where(SessionSet::class.java).findAll()

			realm.executeTransaction {
				sets.forEach {
					it.computeStats()
				}

			}
			realm.close()

		}

	}


}